From 8061bcdde6ba2632f54d4a4479c4dfa6a9418b58 Mon Sep 17 00:00:00 2001
From: Alaric Senat <dev.asenat@posteo.net>
Date: Fri, 17 Feb 2023 16:52:19 +0100
Subject: [PATCH 3/6] bindings: broker: enable lib-side logging

---
 bindings/C/broker/Cargo.toml    | 1 +
 bindings/C/broker/src/broker.rs | 8 ++++++++
 2 files changed, 9 insertions(+)

diff --git a/bindings/C/broker/Cargo.toml b/bindings/C/broker/Cargo.toml
index 8ff463c..3765841 100644
--- a/bindings/C/broker/Cargo.toml
+++ b/bindings/C/broker/Cargo.toml
@@ -10,6 +10,7 @@ name = "iris_broker"
 iris-policy = { path = "../../../policy" }
 iris-broker = { path = "../../../broker" }
 iris-ipc = { path = "../../../ipc" }
+simple_logger = "2.3.0"
 
 [target.'cfg(target_os="windows")'.dependencies]
 winapi = { version = "0.3.9", features = [] }
diff --git a/bindings/C/broker/src/broker.rs b/bindings/C/broker/src/broker.rs
index 3d5db80..80bdbff 100644
--- a/bindings/C/broker/src/broker.rs
+++ b/bindings/C/broker/src/broker.rs
@@ -3,10 +3,18 @@ use crate::{
     SelfContainedProcessConfig,
 };
 use core::ffi::c_void;
+use simple_logger::SimpleLogger;
 use iris_broker::Worker;
 
 pub type IrisWorkerHandle = *mut c_void;
 
+
+
+#[no_mangle]
+pub unsafe extern "C" fn iris_enable_static_logger() {
+    SimpleLogger::new().init().unwrap();
+}
+
 /// Create a worker object and return a handle to it. The worker will start with the
 /// given process configuration, and will only be allowed actions based on the given
 /// policy.
-- 
2.25.1

